aboutsummaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index d6d0946..141ff9d 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,4 +1,15 @@
#!/bin/sh
+if [ $# -ne 0 ]; then
+ cat >&2 << EOF
+Bootstrap the project directory for Autoconf and Automake. Run this script after
+making changes to .ac and .am files.
+Usage: $0
+
+The script requires no arguments in order to run.
+EOF
+ exit 2
+fi
+
aclocal &&
automake --add-missing --copy &&
autoconf &&